@import '~@angular/material/theming';

html,
body,
app-root {
	width: 100%;
	height: 100%;
	margin: 0;
}
body {
	margin: 0;
	font-family: Roboto, 'Helvetica Neue', sans-serif;

	--space: 16px;

	@media (max-width: 720px) {
		--space: 8px;
	}

	.iconButton {
		mat-icon {
			margin-right: 8px;
		}
	}

	mat-icon {
		user-select: none;
	}
}

@include mat-core();

$app-primary: mat-palette($mat-indigo);
$app-accent: mat-palette($mat-pink, A200, A100, A400);
$app-warn: mat-palette($mat-red);

$app-theme: mat-light-theme(
	(
		color: (
			primary: $app-primary,
			accent: $app-accent,
			warn: $app-warn,
		),
	)
);

@include angular-material-theme($app-theme);

/*Editable theme*/
@mixin editable-color($config-or-theme) {
	$config: mat-get-color-config($config-or-theme);
	$primary: map-get($config, primary);
	$accent: map-get($config, accent);

	app-editable:hover {
		background-color: mat-color($primary, 50);
	}
}
@mixin editable-typography($config-or-theme) {
	$config: mat-get-typography-config($config-or-theme);

	app-editable {
		font: {
			family: mat-font-family($config, body-1);
			size: mat-font-size($config, body-1);
			weight: mat-font-weight($config, body-1);
		}
	}
}
@mixin editable-theme($theme) {
	$color: mat-get-color-config($theme);
	$typography: mat-get-typography-config($theme);

	@if $color != null {
		@include editable-color($color);
	}
	@if $typography != null {
		@include editable-typography($typography);
	}
}

/*invoice-view theme*/
@mixin invoice-view-color($config-or-theme) {
	$config: mat-get-color-config($config-or-theme);
	$primary: map-get($config, primary);
	$accent: map-get($config, accent);

	app-invoice-view {
		.amount span:first-child {
			color: mat-color($primary, 500);
		}

		mat-form-field[appearance='invoice'] .mat-form-field-label {
			color: mat-color($primary, 500);
		}
	}
}
@mixin invoice-view-typography($config-or-theme) {
	$config: mat-get-typography-config($config-or-theme);

	.mat-form-field-wrapper {
		font: {
			family: mat-font-family($config, display-1);
			size: mat-font-size($config, display-1);
			weight: mat-font-weight($config, display-1);
		}
	}
}
@mixin invoice-view-theme($theme) {
	$color: mat-get-color-config($theme);
	$typography: mat-get-typography-config($theme);

	@if $color != null {
		@include invoice-view-color($color);
	}
	@if $typography != null {
		@include invoice-view-typography($typography);
	}
}

@include editable-theme($app-theme);
@include invoice-view-theme($app-theme);

mat-form-field[appearance='invoice'] {
	height: min-content;

	.mat-form-field-wrapper {
		padding-bottom: 0;

		.mat-form-field-label {
			transform: translateY(-1.34375em);
			width: 100%;
		}

		.mat-form-field-label-wrapper {
			top: -1em;
			padding-top: 1em;
		}

		.mat-form-field-infix {
			padding: 0.65625em 0;
			border-top: 1em solid transparent;
		}
	}
}

mat-form-field[appearance='invoice-position'] {
	height: min-content;
	width: 100%;

	.mat-form-field-wrapper {
		padding-bottom: 0;

		.mat-form-field-infix {
			padding: 0;
			border: none;
			width: 100%;
		}
	}
}

@font-face {
	font-family: 'Material Icons';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: url('assets/fonts/material-icons.woff2') format('woff2');
}

.material-icons {
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 24px;
	line-height: 1;
	letter-spacing: normal;
	text-transform: none;
	display: inline-block;
	white-space: nowrap;
	word-wrap: normal;
	direction: ltr;
	-moz-font-feature-settings: 'liga';
	-moz-osx-font-smoothing: grayscale;
}

@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 300;
	font-display: swap;
	src: url('assets/fonts/roboto-300.woff2') format('woff2');
	font-display: swap;
}

@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: url('assets/fonts/roboto-400.woff2') format('woff2');
	font-display: swap;
}

@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 500;
	font-display: swap;
	src: url('assets/fonts/roboto-500.woff2') format('woff2');
	font-display: swap;
}

.fab {
	position: fixed !important;
	right: 20px;
	bottom: 20px;
}
